=== debian/changelog ===
rock-master-19.06-control-visp (0.20150706-1~stretch) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: Autobuild::SVN:47265690503120
  * revision: 

 -- Packaging Daemon <rock-dev@dfki.de>  Mon, 08 Jul 2019 14:50:51 +0200
