=== debian/control ===
Source: rock-master-19.06-control-visp
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, rock-master-19.06-base-cmake, rock-master-19.06-base-types
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-control-visp
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, rock-master-19.06-base-types, cmake, build-essential
Description: VISP is an Open Source Visual Servoing Plataform, developed by Inria Lagadic team. source file can be found in https://visp.inria.fr/download/
 VISP is an Open Source Visual Servoing Plataform, developed by Inria Lagadic team. source file can be found in https://visp.inria.fr/download/
